%% evaluate_counter
%    function will call the evaluation function for a given counter
%    example.
% inputs:
%   object:GUI - current GUI object
%   counter:string - string representing the counter example, ie.
%       'x = 3\ny = 5'
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = evaluate_counter(object,counter)

problem = object.evaluate_counter_grid(object.Grid2, counter);
if(~problem && object.multi_mode == 0)
    object.evaluate_counter_grid(object.Grid1, counter);
end
end

